Katello - Bug #6088

No option to configure REALM via katello-installer and capsule-installer
06/06/2014 10:36 AM - Ivan Necas

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Installer

Target version: Katello 2.0

Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102071 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102071
Description of problem:

Katello-installer needs to support configuring REALM Integration for Capsules.
Currently katello-installer --help show no options for REALM.

[root@XXXX ~1# katello-installer --help | grep -i realm | wc -
0

[root@dhcp201-199 ~]# capsule-installer --help | grep -i realm | wc -|
0

Version-Release number of selected component (if applicable):
Sat6-beta-snap6

How reproducible:

Steps to Reproduce:

1. katello-installer --help on sat6box
2. capsule-installer --help on satébox
3.

Actual results:
No way to configure REALM via katello-installer and capsule-installer

Expected results:

Katello-installer and capsule-installer needs to support configuring REALM.
Additional info:

Associated revisions

Revision 402ec4c4 - 06/06/2014 06:43 AM - Ivan Necas

Fixes #6088 - expose realm settings for smart proxy in the capsule installer

Revision 402ec4c4 - 06/06/2014 06:43 AM - Ivan Necas

Fixes #6088 - expose realm settings for smart proxy in the capsule installer

Revision 949e9757 - 06/09/2014 09:45 AM - Ivan Necas
Merge pull request #8 from iNecas/issue/6088

Fixes #6088 - expose realm settings for smart proxy in the capsule installer

Revision 949e9757 - 06/09/2014 09:45 AM - lvan Necas
https://bugzilla.redhat.com/show_bug.cgi?id=1102071

Merge pull request #8 from iNecas/issue/6088

Fixes #6088 - expose realm settings for smart proxy in the capsule installer

Revision 6b52e64c - 06/10/2014 01:18 PM - lvan Necas
Fixes #6077, #6088 - update puppet-capsule module

Revision 3574¢036 - 06/11/2014 06:18 AM - Ivan Necas

Merge pull request #70 from iNecas/master

Fixes #6077, #6088 - update puppet-capsule module

History

#1 - 06/06/2014 10:36 AM - Ivan Necas
- Status changed from New to Assigned

- Triaged set to No

#2 - 06/06/2014 10:44 AM - Ivan Necas
- Status changed from Assigned to Ready For Testing

Should be fixed in https:/github.com/Katello/puppet-capsule/pull/8

#3 - 06/06/2014 10:50 AM - Ivan Necas

- Target version set to 45

#4 - 06/06/2014 12:37 PM - Eric Helms
- Difficulty set to trivial

- Triaged changed from No to Yes

#5 - 06/11/2014 07:01 AM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installerjcommit:6b52e64cb0d5ea60f5d96ead16e383bac0ac9c3e.

#6 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
